%define  lib_name_orig libalsa
%define  major 0
%define  lib_name %mklibname cmis %major

Name: libcmis
Version: 0.1.0
Release: %mkrel 1
Summary: A C++ client library for the CMIS interface

Group: System/Libraries
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://sourceforge.net/projects/libcmis/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: boost-devel
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel

%description
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

#--------------------------------------------------------------------

%package -n %lib_name
Summary: Text categorization library
Group:   System/Libraries

%description -n %lib_name
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%files -n %lib_name
%doc AUTHORS COPYING.* README
%{_libdir}/%{name}-0.2.so.%{major}*

#--------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %lib_name = %version-%release

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}-0.2.so
%{_libdir}/pkgconfig/%{name}-0.2.pc

#--------------------------------------------------------------------

%package tools
Summary: Command line tool to access CMIS
Group:    Publishing

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the
command line.

%files tools
%{_bindir}/cmis-client

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure --disable-static --disable-tests --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la



%changelog

* Sat Feb 04 2012 dmorgan <dmorgan> 0.1.0-1.mga2
+ Revision: 204350
- imported package libcmis


* Wed Dec 21 2011 David Tardon <dtardon@redhat.com> 0.1.0-1
- initial import
